          Return the type of the crate item as a string.

get_crate_item_type(crateitem)

Argument
Description
crateitem
A CrateKey or CrateData object.

The get_crate_item_type command returns the type of the input crate item in a string. The value will be "Key", "Data", or - if the input argument is invalid - None.

>>> cr = read_file("evt2.fits")
>>> expo = get_key(cr, "EXPOSURE")
>>> print(get_crate_item_type(expo))
Key

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013